Bug 194019 - [PATCH] mail/postgrey: update to 1.35
Summary: [PATCH] mail/postgrey: update to 1.35
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-29 18:58 UTC by TEUBEL György
Modified: 2014-11-05 19:31 UTC (History)
2 users (show)

See Also:
tgyurci: maintainer-feedback? (ports.maintainer)


Attachments
postgrey-update-1.35 (7.92 KB, patch)
2014-09-29 18:58 UTC, TEUBEL György
no flags Details | Diff
postgrey-update2-1.35 (6.87 KB, patch)
2014-10-01 18:16 UTC, TEUBEL György
no flags Details | Diff
Finalized patch (8.58 KB, text/plain)
2014-10-30 06:20 UTC, Mel Pilgrim
no flags Details
patch with separate run directory (9.06 KB, patch)
2014-10-30 08:17 UTC, TEUBEL György
no flags Details | Diff
Ordered variables, and run directory permission (9.06 KB, patch)
2014-10-30 20:16 UTC, TEUBEL György
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description TEUBEL György 2014-09-29 18:58:17 UTC
Created attachment 147808 [details]
postgrey-update-1.35

- Update mail/postgrey to the latest version
- Cleanup Makefile and plist a bit
- Remove pkg-install, plist handles it's functionality
- Add a patch from https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=123468
Comment 1 Bugzilla Automation freebsd_committer 2014-09-29 18:58:17 UTC
Maintainer CC'd
Comment 2 TEUBEL György 2014-10-01 18:16:49 UTC
Created attachment 147892 [details]
postgrey-update2-1.35

New patch without the fix for https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=123468
Comment 3 Mel Pilgrim 2014-10-09 05:03:07 UTC
I'm holding on resolution of 123468.  The revised patch looks pretty good.  I will either submit a final patch for commit or explicitly approve attachment 147892 [details] in a later message.
Comment 4 Mel Pilgrim 2014-10-28 16:52:08 UTC
Yaa! Time flies when work keeps you busy! I'll will nail this down tonight. My apologies for the delay.
Comment 5 Mel Pilgrim 2014-10-30 06:20:54 UTC
Created attachment 148791 [details]
Finalized patch
Comment 6 Mel Pilgrim 2014-10-30 06:26:29 UTC
(In reply to Darren Pilgrim from comment #5)

Please commit attachment 148791 [details].

Commit message:

- Update to v1.35;
- General clean up and update to current porting practices;
- Revise pkg-message to include a warning about potential information disclosures (see bug 123468);
- Move default pidfile location into the database dir to get around a minor nuissance issue where, due to permissions, postgrey fails to delete its pidfile from /var/run.
Comment 7 TEUBEL György 2014-10-30 08:17:12 UTC
Created attachment 148793 [details]
patch with separate run directory

In my opinion it would be better if the package create a separate directory in /var/run for the pidfile. This dir can be used eventually for a unix domain socket too.
Comment 8 Mel Pilgrim 2014-10-30 18:20:47 UTC
(In reply to TEUBEL György from comment #7)

There's precedent for that, so I'm fine with it.  I do have a couple of nits about the modified patch, though:

- I would prefer the PG_* variables and their counterparts in SUB_LIST and PLIST_SUB in alphabetical order.
- The @dir() for PG_RUNDIR is missing its mode setting. It should be 750.
Comment 9 TEUBEL György 2014-10-30 20:00:43 UTC
Okay, I'm not insisting on my exact patch, so I'm fine with your suggestions. Should I make a new patch or you will do it?
Comment 10 TEUBEL György 2014-10-30 20:05:49 UTC
Just one sidenote: If the PG_RUNDIR has a mode of 750 then the "service postgrey status" command will not work as a regular user. But I think it's not a big problem.
Comment 11 TEUBEL György 2014-10-30 20:16:58 UTC
Created attachment 148801 [details]
Ordered variables, and run directory permission
Comment 12 Mel Pilgrim 2014-10-31 03:06:06 UTC
Looks good. Thanks Attachment 148801 [details] approved for commit.
Comment 13 John Marino freebsd_committer 2014-10-31 17:39:16 UTC
The maintainer approved this.
There are no poudriere logs, but I'll move to patch-ready anyway.  It looks ok with a very quick glance.
Comment 14 commit-hook freebsd_committer 2014-11-05 17:35:53 UTC
A commit references this bug:

Author: pawel
Date: Wed Nov  5 17:35:40 UTC 2014
New revision: 372199
URL: https://svnweb.freebsd.org/changeset/ports/372199

Log:
  - Update to version 1.35
  - Add LICENSE
  - Remove pkg-install script, move directory creation to pkg-plist
  - Use @sample keyword for config files

  PR:		194019
  Submitted by:	TEUBEL Gy?rg y<tgyurci@gmail.com>
  Approved by:	maintainer
  --This line, and those below, will be ignored--
  > Description of fields to fill in above:                     76 columns --|
  > PR:            If a Bugzilla PR is affected by the change.
  > Submitted by:  If someone else sent in the change.
  > Reviewed by:   If someone else reviewed your modification.
  > Approved by:   If you needed approval for this commit.
  > Obtained from: If the change is from a third party.
  > MFC after:     N [day[s]|week[s]|month[s]].  Request a reminder email.
  > Relnotes:      Set to 'yes' for mention in release notes.
  > Security:      Vulnerability reference (one per line) or description.
  > Sponsored by:  If the change was sponsored by an organization.
  > Empty fields above will be automatically removed.

  M    postgrey/Makefile
  M    postgrey/distinfo
  D    postgrey/files/patch-postgrey
  D    postgrey/files/pkg-install.in
  M    postgrey/files/postgrey.in
  M    postgrey/pkg-message
  M    postgrey/pkg-plist

Changes:
  head/mail/postgrey/Makefile
  head/mail/postgrey/distinfo
  head/mail/postgrey/files/patch-postgrey
  head/mail/postgrey/files/pkg-install.in
  head/mail/postgrey/files/postgrey.in
  head/mail/postgrey/pkg-message
  head/mail/postgrey/pkg-plist
Comment 15 Mel Pilgrim 2014-11-05 18:37:22 UTC
(In reply to commit-hook from comment #14)

Thank you for the commit.  I guess you didn't see comment 6?  It would have been nice to have the bit about the new warning message in the commit log where more people are going to see it more readily.  Oh well.
Comment 16 Pawel Pekala freebsd_committer 2014-11-05 19:17:33 UTC
Missed that one sorry. Still the info is in pkg-message and I would assume more users read this file on install than commit logs so hopefully this will
enough of a warning.
Comment 17 Mel Pilgrim 2014-11-05 19:31:55 UTC
(In reply to Pawel Pekala from comment #16)

The goal was really to invoke a "commit references this bug" message for bug 123468.  I did follow-up that bug, though, so maybe that will be enough.

Thanks again!